#include<iostream>
using namespace std;
int main()
{
    int x,y,cifx, cify;
    long long rezultat=0, k=1;
    cin >> x >> y;
    while(x>0 || y>0)
    {

        cifx = x%10;
        cify = y%10;
        if(cifx>cify && x!=0 && y!=0)
            rezultat+=cifx*k;
        else if(cifx<cify && x!=0 && y!=0)
            rezultat+=cify*k;
        else if(cifx==cify && x!=0 && y!=0)
        {
            rezultat+=cifx*k;
            k*=10;
            rezultat+=cifx*k;
        }
        if(x==0)
            rezultat+=cify*k;
        if(y==0)
            rezultat+=cifx*k;
        k*=10;
        x/=10;
        y/=10;

    }

    cout << rezultat;
    return 0;
}